
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL事务隔离级别介绍及设置 / iVAN</title>

    <meta name="description" content="MySQL事务隔离级别介绍及设置 READ UNCOMMITTED(未提交) 即使没有提交,对其它事务也可见.未提交的数据会引起脏读(Dirty Read). 测试流程: 1.A设置read-uncommitted, start transaction 2.B执行start transaction,修改一条记录, 3.A查询记录,得到了以为正确的记录 4.B回滚. 问题:A读到了B没有提交的记录,也就是脏读. READ COMMITTED(提交读) 一个从开始直到提交之前所做的任何修改对其它事务都是不可见的.两次同样的查询可能会">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL事务隔离级别介绍及设置</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>READ UNCOMMITTED(未提交)</p>
<p>即使没有提交，对其它事务也可见。未提交的数据会引起脏读(Dirty Read)。<br />
测试流程：<br />
1、A设置read-uncommitted, start transaction<br />
2、B执行start transaction，修改一条记录，<br />
3、A查询记录，得到了以为正确的记录<br />
4、B回滚。<br />
问题：A读到了B没有提交的记录，也就是脏读。</p>
<p>READ COMMITTED(提交读)<br />
一个从开始直到提交之前所做的任何修改对其它事务都是不可见的。两次同样的查询可能会得到不一样的结果，称为不可重复读(nonrepeatable read)<br />
测试流程：<br />
1、A设置read-committed, start transaction<br />
2、B执行start transaction，修改一条记录，查询记录，记录已经修改成功<br />
3、A查询记录，结果还是老的记录<br />
4、B提交事务<br />
5、A再次查询记录，结果是新的记录。<br />
问题：两次查询结果不一致，也就是不可重复读问题。</p>
<p>REPEATABLE READ(可重复读)-MySQL默认的事务隔离级别<br />
保证了在同一事务中多次读取结果是一致的。但会引起另外一个幻读问题，当某个事务在读取某个范围记录时，另外一个事务在该范围插入和新记录，当之前事务再次读取该范围记录时会产生幻行。<br />
测试流程：<br />
1、A设置repeatable-read, start transaction，查询记录，结果是老的记录<br />
2、B执行start transaction，修改一条记录，查询记录，记录已经修改成功<br />
3、A查询记录，结果还是老的记录<br />
4、B提交事务<br />
5、A再次查询记录，结果还是老的记录。<br />
问题：可以重复读，A在事务过程中，即使B修改了数据，并且commit，A读取的还是老的数据。即可重复读。<br />
注意：这里可能会存在一个新的问题，A在事务过程中，B增加一条记录，并提交，导致A的两次读取不一致，会多一条记录，也就是幻影读。InnoDB通过多版本并发控制(MVCC)解决了幻读问题。</p>
<p>SERIALIZABLE(可串行化)</p>
<p>强制事务串行执行，但可能导致大量超时和锁争问题。<br />
测试流程：<br />
1、A设置serializable, start transaction，查询记录，结果是老的记录<br />
2、B执行start transaction，修改一条记录，B卡在这里，要等待A完成才行。<br />
3、A查询记录，结果还是老的记录，A提交。<br />
4、B的修改操作才进行下去。<br />
注意：B在等待过程中，会出现lock超时。</p>
<p>MySQL事务隔离级别总结：</p>
<p>MySQL事务隔离级别介绍及设置</p>
<p>MySQL事务隔离级别操作</p>
<p>查看当前会话隔离级别：</p>
<p>mysql&gt; select @@tx_isolation;<br />
+-----------------+<br />
| @@tx_isolation  |<br />
+-----------------+<br />
| REPEATABLE-READ |<br />
+-----------------+<br />
1 row in set (0.12 sec)</p>
<p>查看当前系统隔离级别：<br />
mysql&gt; select @@global.tx_isolation;<br />
+-----------------------+<br />
| @@global.tx_isolation |<br />
+-----------------------+<br />
| REPEATABLE-READ       |<br />
+-----------------------+</p>
<p>设置隔离级别语法：<br />
SET [SESSION | GLOBAL] TRANSACTION ISOLATION LEVEL {READ UNCOMMITTED | READ COMMITTED | REPEATABLE READ | SERIALIZABLE}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 20:41:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e5%8a%a1/" title="事务">事务</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL事务隔离级别介绍及设置的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWWVPz.html" rel="bookmark">MySQL数据库事务隔离级别介绍&lpar;Transaction Isolation Level&rpar;&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库隔离级别有四种,应用&lt;高性能mysql&gt;一书中的说明: 然后说说修改事务隔离级别的方法: 1.全局修改,修改mysql.ini配置文件,在最后加上 复制代码 代码如下:  #可选参数有:READ-UNCOMMITTED, READ-COMMITTED, REPEATABLE-READ, SERIALIZABLE. [mysqld] transaction-isolation = REPEATABLE-READ 这里全局默认是REPEATABLE-READ,其实MySQL本来默认也是这个级			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3km23b.html" rel="bookmark">MySQL事务隔离级别详解&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文: http://xm-king.iteye.com/blog/770721 SQL标准对事务定义了4种隔离级别,包括了一些具体规则,用来限定事务内外的哪些改变是可见的,哪些是不可见的.低级别的隔离级一般支持更高的并发处理,并拥有更低的系统开销.实际中,最常用的级别为Read Committed(读取提交内容).Read Uncommitted(读取未提交内容) 在该隔离级别,所有事务都可以看到其他未提交事务的执行结果.本隔离级别很少用于实际应用,因为它的性能也不比其他级别好多少.读取未提交			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWjX5z.html" rel="bookmark">mysql事务隔离级别与spring事务配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 代码:voidfun(){Useruser=newUser();user.setId(1);user.setName(&quot;aaa&quot;);update(user);UsernewUser=select(1);//这里查询出的newUser的name还是更新前的值.}voidupdate(Useruser){//更新用户信息}Userselect(id){//根据id查询用户信息} 使用spring配置的事务的时候,上面方法fun.update被spring配置了事务propagat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjojvmM.html" rel="bookmark">&lbrack;用事实说明两个凡是&rsqb;一个由mysql事务隔离级别造成的问题分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景 最近要做一个批跑服务, 基本逻辑就是定时扫描数据库的记录, 有满足条件的就进行处理(一条记录代表一个任务,以下任务与记录含义相同). 要求支持多机部署批跑服务. 批跑支持多机部署实现方案 要实现多机部署, 只要保证每个批跑服务实例每次只获取一条记录, 处理完再获取下一条即可. 其中最种要的是避免不同的实例获取到同一条记录,即所谓抢任务. 先看表结构设计: create database if not exists ae; create table ae.task ( id int prim			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkKkvp.html" rel="bookmark">MySQL中Innodb的事务隔离级别和锁的关系的讲解教程&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 我们都知道事务的几种性质,数据库为了维护这些性质,尤其是一致性和隔离性,一般使用加锁这种方式.同时数据库又是个高并发的应用,同一时间会有大量的并发访问,如果加锁过度,会极大的降低并发处理能力.所以对于加锁的处理,可以说就是数据库对于事务处理的精髓所在.这里通过分析MySQL中InnoDB引擎的加锁机制,来抛砖引玉,让读者更好的理解,在事务处理中数据库到底做了什么. 一次封锁or两段锁?因为有大量的并发访问,为了预防死锁,一般应用中推荐使用一次封锁法,就是在方法的开始阶段,已经预先知道会用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b28gKrp.html" rel="bookmark">【MySQL】MySQL的四种事务隔离级别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[MySQL]MySQL的四种事务隔离级别 本文实验的测试环境:Windows 10+cmd+MySQL5.6.36+InnoDB 一.事务的基本要素(ACID) 1.原子性(Atomicity):事务开始后所有操作,要么全部做完,要么全部不做,不可能停滞在中间环节.事务执行过程中出错,会回滚到事务开始前的状态,所有的操作就像没有发生一样.也就是说事务是一个不可分割的整体,就像化学中学过的原子,是物质构成的基本单位.  2.一致性(Consistency):事务开始前和结束后,数据库的完整性约束			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91DEvM.html" rel="bookmark">mysql中不同事务隔离级别下数据的显示效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  事务是一组原子性的SQL查询语句,也可以被看做一个工作单元.如果数据库引擎能够成功地对数据库应用所有的查询语句,它就会执行所有查询,如果任何一条查询语句因为崩溃或其他原因而无法执行,那么所有的语句就都不会执行.也就是说,事务内的语句要么全部执行,要么一句也不执行. 事务的特性:acid,也称为事务的四个测试(原子性,一致性,隔离性,持久性) automicity:原子性,事务所引起的数据库操作,要么都完成,要么都不执行 consisitency:一致性,事务执行前的总和和事务执行后的总和是不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLalZ8z.html" rel="bookmark">MySQL事物&lpar;一&rpar;事务隔离级别和事物并发冲突</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库的操作通常为写和读,就是所说的CRUD:增加(Create).读取(Read).更新(Update)和删除(Delete).事务就是一件完整要做的事情.事务是恢复和并发控制的基本单位.事务必须始终保持系统处于一致的状态,不管在任何给定的时间并发事务有多少.事务在关系数据库中,一个事务可以是一条SQL语句,一组SQL语句或整个程序.是数据库中各种数据项的一个程序执行单元.事务是用户定义的一个操作序列(多个表同时读写).这些操作要么都做,要么都不做,是一个不可分割的工作单位.事务通常是以BEG			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZlwab.html" rel="bookmark">MySQL的事务隔离级别和锁</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL的事务隔离级别:Read Uncommitted[读未提交数据]Read Committed[读已提交数据]Repeatable Read[可重读]Serializable[可串行化] 查看MySQL的事务隔离级别:默认.全局和会话事务隔离级别: SELECT @@tx_isolation SELECT @@global.tx_isolation; SELECT @@session.tx_isolation; mysql&gt; select @@tx_isolation; +-------			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/eOM9gz8.html" rel="bookmark" class="title">APACHE安装笔记</a>
					<div>
						apache|笔记 作者:车东 摘要: WEB应用容量规划:根据硬件配置和WEB应用的特点进行WEB服务的规划及一些简单的估算公式: APACHE安装过程:apache的通用的简化安装选项,方便以后的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqR5Gp.html" rel="bookmark" class="title">ubuntu root默认密码（初始密码）</a>
					<div>
						ubuntu root默认密码(初始密码) ubuntu安装好后,root初始密码(默认密码)不知道,需要设置. 1.先用安装时候的用户登录进入系统 2.输入:sudo passwd  按回车 3.输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2Qkkz.html" rel="bookmark" class="title">标准化  未来SEOer必走之路</a>
					<div>
						十一之前,火车票订购网站这个花了接近3亿做出来的网站让大家抱怨连天,但是抱怨过后大多数人开始自我安慰:政府网站嘛,一项都如此.可是想想我们的企业网站呢?貌似也好不到哪里去吧.小编在一家小的网络公司就职 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boNPDz.html" rel="bookmark" class="title">浅谈SEOER的出路有哪些</a>
					<div>
						这几天有一部分加群的朋友,私聊问我:&quot;王施帆,我这样苦逼的SEO生活到什么时候是个尽头啊?&quot;面对这样的问题,王施帆也只能说&quot;再熬熬吧,待机转型!&quot;每一个SEO工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnWDjz.html" rel="bookmark" class="title">浅谈不同网站的SEO目的也不同</a>
					<div>
						    很多的站长们都是站在一个方位看待SEO,其实SEO不是那么简单就仅仅赚取那么点广告费那么简单,在这里idsem网络实名营销小编胡佩彬为广大的站长朋友们分享一下不同网站的SEO目的 第一:个人站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZr5wz.html" rel="bookmark" class="title">中移动内测&OpenCurlyDoubleQuote;手机阅读&rdquo; 包月方式最低2元</a>
					<div>
						中国移动&quot;手机阅读&quot;标识 通信世界网(CWW)9月11日消息,据消息人士透露,目前中国移动&quot;手机阅读&quot;产品网站已展开内测.目前参与测试手机均免收信息费和流量费. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6XAWz.html" rel="bookmark" class="title">ANT连接linux缺少jsch&period;jar及添加jar包无效的解决方法</a>
					<div>
						本地安装Ant1.8.3,MyEclipse8.6关联Ant, 运行build.xml出现如下异常: 解决方法: 将 jsch-x.x.x.jar 加入到 ${ANT_HOME}/lib下,此时一般就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKxnNp.html" rel="bookmark" class="title">超级简单</a>
					<div>
						当我在页面中使用ViewState ,通常是用一个属性表示,例如: private int ViewState_UserID { get { return (int) ViewState[&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7K74M.html" rel="bookmark" class="title">Linq To Sql进阶系列（六）用object的动态查询与保存log篇</a>
					<div>
						动态的生成sql语句,根据不同的条件构造不同的where字句,是拼接sql 字符串的好处.而Linq的推 出,是为了弥补编程中的 Data != Object 的问题.我们又该如何实现用object的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7NQ8M.html" rel="bookmark" class="title">Fireworks绘制生肖鼠邮票教程</a>
					<div>
						我小时候有收藏邮票的习惯,特别是每年发行的生肖邮票,我都会购买.现在翻开集邮册看见那些已经保存了十几二十年的邮票,当初搜集它们的那种热情.积极的情景,仍然历历在目. 今天我教大家用Fireworks  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PJ1DM.html" rel="bookmark" class="title">PhotoShop打造奇特童话般的小木屋效果合成教程</a>
					<div>
						PS教程我们来制作一个美丽的树屋,你将学到如何通过利用画笔以及一些素材,一步一步的打造出一个奇特的小木屋, 如果你喜欢一起来. photoshop教程最终效果: 1.创建一个1024*1280像素的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyE4db.html" rel="bookmark" class="title">Photoshop制作金色铬合金金属字教程</a>
					<div>
						学习如何用photoshop图层样式制作漂亮的金属字,先看效果图.www.17ps8.com 一起ps吧原创. 新建文档1800x1300,背景黑色. 输入白色文字,字体rothenbg.ttf,尺寸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze741jM.html" rel="bookmark" class="title">腾达路由器设置指南</a>
					<div>
						  家用路由器设置步骤是什么? 路由器是互联网的主要结点设备.路由器通过路由决定数据的转发.转发策略称为路由选择(routing),这也是路由器名称的由来(router,转发者). 下面,我们就来看看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywv9dz.html" rel="bookmark" class="title">win7系统PST文件如何打开&quest;</a>
					<div>
						  win7系统PST文件如何打开?         PST是什么类型的文件? PST 文件是 OUTLOOK 数据文件,里面包含了outlook中邮箱配置的所有信息,包括收到邮件,发送邮件,联系人信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw0V8z.html" rel="bookmark" class="title">win8笔记本wifi热点设置教程</a>
					<div>
						很多人都在问Win8系统下如何共享wifi热点?大家都知道win7系统可以实现wifi热点共享,那么win8应该也能实现wifi热点共享,那么如何设置win8系统下笔记本wifi共享上网. 怎样看你网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywZ7Pz.html" rel="bookmark" class="title">春节风行影视带你领略风景情话</a>
					<div>
						总是在埋头工作,总是在为了生活而奔波,在两点一线的生活中是否想抬头看看窗外的景色?至少在荧幕上.风行影视近日推出了大型专题&quot;跟风去旅行--荧幕中的风景情话&quot;,让我们在忙碌的工作中呼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkDrWb.html" rel="bookmark" class="title">机器学习的入门&OpenCurlyDoubleQuote;秘籍&rdquo;</a>
					<div>
						更多深度文章,请关注:https://yq.aliyun.com/cloud 由于人工智能的发展,机器学习越来越受到大家的追捧.很多新的计算机科学家和工程师开始跨入机器学习这个美好的世界.不幸的是,理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrrmQM.html" rel="bookmark" class="title">危机是培养品牌忠诚度的优质契机</a>
					<div>
						不乐观的经济前景促使消费者迅速学会成熟理智地减少开支,摇身一变更为挑剔,即使危机退去,保持节俭也会变成一种持续的消费习惯,这正是价格不高.品质优良的品牌大幅提升客户http://www.aliyun. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEB25p.html" rel="bookmark" class="title">html5-div的高度被设置为0px&comma;目的何在</a>
					<div>
						问题描述 div的高度被设置为0px,目的何在 我在一些大网站的源代码中看到,有些 包含内容的div,高度被设置为0px 我有两个疑问 1.div的高度被设置为0px,里面的内容居然还能正常显示,没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZXOAb.html" rel="bookmark" class="title">林家宅37号</a>
					<div>
						小时候隔壁住着一个老刑警,由于年轻时候牵涉个人生活作风问题80年代初就提前退休了,他告诉我的一些事情据他说在上海市公安局档案里面都找不到的,也不知道是真是假,但是后来和一些那个年代的老人询问,有些事情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEDx3z.html" rel="bookmark" class="title">&period;net-这个功能是主要给移动端（微信）用的么？兼容性怎么做的？</a>
					<div>
						问题描述 这个功能是主要给移动端(微信)用的么?兼容性怎么做的? 看看这个地址:http://exam.bdqn.cn/wx/index 解决方案 做成html5页面,那都可以用					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwX6rp.html" rel="bookmark" class="title">vs运行时候冒了这个错：无法启动IIS Express Web 服务器~Win10</a>
					<div>
						后期会在博客首发更新:http://dnt.dkill.net 异常处理汇总-服 务 器 http://www.cnblogs.com/dunitian/p/4522983.html 网上的方法多种, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY8KOp.html" rel="bookmark" class="title">HibernateTemplate用xml方式注入报空指针错误</a>
					<div>
						问题描述 spring.xml&lt;?xmlversion=&quot;1.0&quot;encoding=&quot;UTF-8&quot;?&gt;&lt;beansxmlns=&quot;ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Zn3YM.html" rel="bookmark" class="title">使用Fiddler提高前端工作效率 &lpar;介绍篇&rpar;</a>
					<div>
						1. Fidhttp://www.aliyun.com/zixun/aggregation/16504.html&quot;&gt;dler 是什么? Fiddler是用C#编写的一个免费的HTTP/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e02Yb.html" rel="bookmark" class="title">Windows Server 2008 R2强制DHCP网络保护访问</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   我们对网络访问保护技术做了一个技术预览,大致了解了网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwPeEM.html" rel="bookmark" class="title">link环境下，如何定义带有枚举的符合实体类型？这种类型怎么定义？</a>
					<div>
						问题描述 link环境下,如何定义带有枚举的符合实体类型?这种类型怎么定义? link环境下,如何定义带有枚举的符合实体类型?这种类型怎么定义? 解决方案 https://msdn.microsoft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQO5np.html" rel="bookmark" class="title">麦当劳鸡翅中现蛆虫声明辩称存活虫可能性为零</a>
					<div>
						与街头小快餐店不同的是,肯德基.麦当劳对产品有着一套严格的品控系统,所以他们发生食品卫生问题的可能性很低,消费者对它们也是比较放心的,甚至有不少的消费者说:&quot;如果连大品牌的卫生都信不过,那我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoY88M.html" rel="bookmark" class="title">数据显示-用C&plus;&plus;编写文件存储和读取后显示不出</a>
					<div>
						问题描述 用C++编写文件存储和读取后显示不出 输入数据-&gt;文件存储-&gt;退出程序-&gt;重新运行-&gt;文件读取-&gt;数据统计-&gt;全部显示,之后发现之前存储的数据都没有了,求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5JA5p.html" rel="bookmark" class="title">关于html中 ul li 中加入div（div位置随意设置）的问题</a>
					<div>
						&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkAlWp.html" rel="bookmark" class="title">埃里克&CenterDot;西蒙斯为了创业 在AOL&OpenCurlyDoubleQuote;潜伏&rdquo;2个月</a>
					<div>
						埃里克·西蒙斯为了创业,在AOL&quot;潜伏&quot;2个月 和讯科技消息 北京时间5月25日,一位19岁的芝加哥年轻创业者在参加AOL的K12创业孵化项目后,仍然继续在该公司&quot;潜伏& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
